#
# spec file for package python-pytest-metadata
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pytest-metadata
Version:        3.1.1
Release:        1.4
Summary:        Pytest plugin for test session metadata
License:        MPL-2.0
URL:            https://github.com/pytest-dev/pytest-metadata
Source:         https://files.pythonhosted.org/packages/source/p/pytest-metadata/pytest_metadata-%{version}.tar.gz
BuildRequires:  %{python_module hatch_vcs}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry-core}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytest >= 3.0.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest >= 3.0.0}
# /SECTION
%python_subpackages

%description
Pytest plugin for test session metadata.

%prep
%setup -q -n pytest_metadata-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/pytest_metadata
%{python_sitelib}/pytest_metadata-%{version}*-info

%changelog
* Sun Mar  3 2024 Dirk Müller <dmueller@suse.com>
- update to 3.1.1:
  * Add environment variables for AWS CodeBuild CI
* Sun Feb  4 2024 Dirk Müller <dmueller@suse.com>
- update to 3.1.0:
  * Support Pytest 8.0
* Mon Jul 24 2023 Dirk Müller <dmueller@suse.com>
- update to 3.0.0:
  * Group CLI options
  * Switch to Hatch
  * Use `pytest.stash` internally instead of `_metadata`
  * Simplify code
* Tue May  9 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Wed Nov 30 2022 Daniel Garcia <daniel.garcia@suse.com>
- Remove python_module macro definition
- Update to 2.0.4:
  * Fix deprecated pytest.mark.optionalhook marker.
- 2.0.3:
  * Remove py dependency. Thanks to @Czaki for reporting.
- 2.0.2:
  * Allow all python versions above 3.7
- 2.0.1:
  * Fix issues with switching to pyproject.toml
    Thanks to @dvzrv and @eltrufas for raising issues and providing fixes.
- 2.0.0:
  * Drop support for python 2.7 and 3.6
  * Add support for python 3.9 and 3.10
  * Introduce pyproject.toml
  * Provide metadata via JSON file
    Thanks to @digitalorder for the PR
- 1.11.0:
  * Provide a session fixture to include metadata in Junit XMLs as property
    tags. Thanks to @sanga for the PR
* Mon Jun 29 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 1.10.0
  * Compatible with pytest-xdist 1.22.3+, now including 2.0+
* Mon May 18 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.9.0:
  * Add --metadata-from-json argument to support passing metadata as json.
* Thu Feb 14 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.8.0:
  * Add environment variables for Bitbucket pipelines (CI).
* Thu Nov 22 2018 Tomáš Chvátal <tchvatal@suse.com>
- Really execute some tests
* Thu Nov 22 2018 Tomáš Chvátal <tchvatal@suse.com>
- Cleanup with spec-cleaner
- Use %%license macro
* Fri Nov 16 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  + Version 1.7.0
